<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Sat Aug 25 23:47:48 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CategoryAdapter.ViewHolder</title>
<meta name="date" content="2018-08-25">
<meta name="keywords" content="markus.keingeldfuerdiemensa.CategoryAdapter.ViewHolder class">
<meta name="keywords" content="bind()">
<meta name="keywords" content="getBinding()">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CategoryAdapter.ViewHolder";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../markus/keingeldfuerdiemensa/RecordFragment.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../markus/keingeldfuerdiemensa/MoneyRecordAdapter.ViewHolder.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html" target="_top">Frames</a></li>
<li><a href="CategoryAdapter.ViewHolder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">markus.keingeldfuerdiemensa</div>
<h2 title="Class CategoryAdapter.ViewHolder" class="title">Class CategoryAdapter.ViewHolder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>markus.keingeldfuerdiemensa.CategoryAdapter.ViewHolder</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html" title="class in markus.keingeldfuerdiemensa">CategoryAdapter</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">CategoryAdapter.ViewHolder</span></pre>
<div class="block"><p><p>Implementierung für den spezifischen ViewHolder von <a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#onCreateViewHolder-parent-viewType-"><code>CategoryAdapter.onCreateViewHolder</code></a>, welcher die Daten einer einzelnen Zeile der Liste lädt</p></p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#onCreateViewHolder-parent-viewType-"><code>CategoryAdapter.onCreateViewHolder</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html#ViewHolder-:Douter-">ViewHolder</a></span>(markus.keingeldfuerdiemensa.databinding.FragmentCategoryBinding&nbsp;$outer)</code>
<div class="block">Implementierung für den spezifischen ViewHolder von <a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#onCreateViewHolder-parent-viewType-"><code>CategoryAdapter.onCreateViewHolder</code></a>, welcher die Daten einer einzelnen Zeile der Liste lädt</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html#bind-category-">bind</a></span>(<a href="../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a>&nbsp;category)</code>
<div class="block">verbindet ein Kategorie-Objekt mit einer einzelnen Zeile der Liste</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>markus.keingeldfuerdiemensa.databinding.FragmentCategoryBinding</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html#getBinding--">getBinding</a></span>()</code>
<div class="block">das Layout-Binding des</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ViewHolder-:Douter-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ViewHolder</h4>
<pre>public&nbsp;ViewHolder(markus.keingeldfuerdiemensa.databinding.FragmentCategoryBinding&nbsp;$outer)</pre>
<div class="block"><p><p>Implementierung für den spezifischen ViewHolder von <a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#onCreateViewHolder-parent-viewType-"><code>CategoryAdapter.onCreateViewHolder</code></a>, welcher die Daten einer einzelnen Zeile der Liste lädt</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>$outer</code> - das Layout-Binding des <a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class CategoryFragment</code></a> für Interaktion mit dem UI</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../markus/keingeldfuerdiemensa/CategoryAdapter.html#onCreateViewHolder-parent-viewType-"><code>CategoryAdapter.onCreateViewHolder</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="bind-category-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bind</h4>
<pre>public&nbsp;void&nbsp;bind(<a href="../../markus/keingeldfuerdiemensa/backend/Category.html" title="type parameter in Category">Category</a>&nbsp;category)</pre>
<div class="block"><p><p>verbindet ein Kategorie-Objekt mit einer einzelnen Zeile der Liste</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>category</code> - die Kategorie, die angezeigt werden soll</dd>
</dl>
</li>
</ul>
<a name="getBinding--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getBinding</h4>
<pre>public&nbsp;markus.keingeldfuerdiemensa.databinding.FragmentCategoryBinding&nbsp;getBinding()</pre>
<div class="block"><p>das Layout-Binding des</p><p><p> <a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class CategoryFragment</code></a> für Interaktion mit dem UI</p></p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../markus/keingeldfuerdiemensa/CategoryFragment.html" title="class in markus.keingeldfuerdiemensa"><code>class CategoryFragment</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../markus/keingeldfuerdiemensa/RecordFragment.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../markus/keingeldfuerdiemensa/MoneyRecordAdapter.ViewHolder.html" title="class in markus.keingeldfuerdiemensa"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?markus/keingeldfuerdiemensa/CategoryAdapter.ViewHolder.html" target="_top">Frames</a></li>
<li><a href="CategoryAdapter.ViewHolder.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
